!(function ($, window, document, _undefined) {
	'use strict';

	XF.DeleteStampImage = XF.Element.newHandler({
		eventNameSpace: 'XFDeleteStampImage',

		options: {
			target: null,
			targetDiv: '.stamp_edit_img',
			loadingContainer: '.container_loading',
		},

		init: function () {
			this.$target.on('click', $.proxy(this, 'click'));

			var $targetDiv;
			$targetDiv = XF.findRelativeIf(this.options.targetDiv, this.$target);
			this.$targetDiv = $targetDiv;

			var $loadingContainer;
			$loadingContainer = XF.findRelativeIf(this.options.loadingContainer, this.$target);
			this.$loadingContainer = $loadingContainer;
		},

		click: function (e) {
			e.preventDefault();

			var t = this;

			// Hide current image
			document.querySelector('.img').classList.add('d-none');

			// show loading icon
			document.querySelector('.container_loading').classList.remove('d-none');

			var imageName = this.$target[0].attributes[2].value;
			var deletePath = document.querySelector('.img').children[0].src;
			var imagePath = this.$target[0].attributes[4].nodeValue;

			var imageData = {
				imageName: imageName,
				deletePath: deletePath,
			};

			XF.ajax('post', imagePath, imageData, function (data) {
				var stamp_edit_img = document.querySelector('.stamp_edit_img');
				document.querySelector('.img_btn').classList.add('d-none');
				document.querySelector('.container_loading').classList.add('d-none');
				document.querySelector('.formRow-explain').classList.add('d-none');

				if (data.imgStamp.success) {
					stamp_edit_img.classList.add('success_msg');
					stamp_edit_img.innerHTML = data.imgStamp.success;
				} else {
					stamp_edit_img.classList.add('error_msg');
					stamp_edit_img.innerHTML = data.imgStamp.error;
				}
			}).always(function () {});
		},
	});

	XF.Element.register('delete-stamp-image', 'XF.DeleteStampImage');
})(jQuery, window, document);
